Table of Contents

Class: inchi | ../bkchem/oasa/oasa/inchi-experimental.py
--- | ---
Base Classes |
--- | ---
plugin
Methods |
--- | ---
__init__ cleanup get_layer get_number_of_hydrogens_in_hydrogen_layer get_structure process_forced_charges put_it_all_together read_charge_layer | read_connectivity_layer read_hydrogen_layer read_inchi read_protonation_layer read_sum_layer set_structure split_layers
| __init__
    __init__ ( self,  structure=None )
| cleanup
    cleanup ( self )
| get_layer
    get_layer ( self,  prefix )
| get_number_of_hydrogens_in_hydrogen_layer
    get_number_of_hydrogens_in_hydrogen_layer ( self )
Exceptions |
--- | ---
oasa_not_implemented_error( "INChI", "multiple compound systems are not supported by the library" )
| get_structure
    get_structure ( self )
| process_forced_charges
    process_forced_charges ( self )
this marks the charges that are forced by the connectivity and thus helps process zwitrions
| put_it_all_together
    put_it_all_together ( self )
| read_charge_layer
    read_charge_layer ( self )
| read_connectivity_layer
    read_connectivity_layer ( self )
| read_hydrogen_layer
    read_hydrogen_layer ( self,  run=0 )
| read_inchi
    read_inchi ( self,  text )
Exceptions |
--- | ---
ValueError, "this version of INChI is not supported - %s" % self.layers [ 0 ]
| read_protonation_layer
    read_protonation_layer ( self )
| read_sum_layer
    read_sum_layer ( self )
Exceptions |
--- | ---
oasa_not_implemented_error( "INChI", "multiple compound systems are not supported by the library" )
| set_structure
    set_structure ( self,  structure )
| split_layers
    split_layers ( self,  text )
Exceptions |
--- | ---
"no '%s' tag found in xml string" % name "no structures found in xml string %s" % text

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1